Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.custom.model
Interface VCustomPackage.Literals

Enclosing interface:
  VCustomPackage

    public static interface VCustomPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `CUSTOM_CONTROL` The meta object literal for the '`Control`' class.
`static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_CONTROL__BUNDLE_NAME` The meta object literal for the 'Bundle Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_CONTROL__CLASS_NAME` The meta object literal for the 'Class Name' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `CUSTOM_DOMAIN_MODEL_REFERENCE` The meta object literal for the ' `Domain Model Reference`' class.
`static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_DOMAIN_MODEL_REFERENCE__BUNDLE_NAME` The meta object literal for the 'Bundle Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_DOMAIN_MODEL_REFERENCE__CLASS_NAME` The meta object literal for the 'Class Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_DOMAIN_MODEL_REFERENCE__CONTROL_CHECKED` The meta object literal for the 'Control Checked' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `CUSTOM_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCES` The meta object literal for the 'Domain Model References' containment reference list feature.

Field Detail

### CUSTOM_CONTROL

    static final org.eclipse.emf.ecore.EClass CUSTOM_CONTROL

  The meta object literal for the '`Control`' class.

  Since:
    1.3
  See Also:
    `VCustomControlImpl`, `VCustomPackageImpl.getCustomControl()`

### CUSTOM_CONTROL__BUNDLE_NAME

    static final org.eclipse.emf.ecore.EAttribute CUSTOM_CONTROL__BUNDLE_NAME

  The meta object literal for the 'Bundle Name' attribute feature.

  Since:
    1.3

### CUSTOM_CONTROL__CLASS_NAME

    static final org.eclipse.emf.ecore.EAttribute CUSTOM_CONTROL__CLASS_NAME

  The meta object literal for the 'Class Name' attribute feature.

  Since:
    1.3

### CUSTOM_DOMAIN_MODEL_REFERENCE

    static final org.eclipse.emf.ecore.EClass CUSTOM_DOMAIN_MODEL_REFERENCE

  The meta object literal for the ' `Domain Model Reference`' class.

  Since:
    1.3
  See Also:
    `VCustomDomainModelReferenceImpl`, `VCustomPackageImpl.getCustomDomainModelReference()`

### CUSTOM_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCES

    static final org.eclipse.emf.ecore.EReference CUSTOM_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCES

  The meta object literal for the 'Domain Model References' containment reference list feature.

  Since:
    1.3

### CUSTOM_DOMAIN_MODEL_REFERENCE__BUNDLE_NAME

    static final org.eclipse.emf.ecore.EAttribute CUSTOM_DOMAIN_MODEL_REFERENCE__BUNDLE_NAME

  The meta object literal for the 'Bundle Name' attribute feature.

  Since:
    1.3

### CUSTOM_DOMAIN_MODEL_REFERENCE__CLASS_NAME

    static final org.eclipse.emf.ecore.EAttribute CUSTOM_DOMAIN_MODEL_REFERENCE__CLASS_NAME

  The meta object literal for the 'Class Name' attribute feature.

  Since:
    1.3

### CUSTOM_DOMAIN_MODEL_REFERENCE__CONTROL_CHECKED

    static final org.eclipse.emf.ecore.EAttribute CUSTOM_DOMAIN_MODEL_REFERENCE__CONTROL_CHECKED

  The meta object literal for the 'Control Checked' attribute feature.

  Since:
    1.3

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.